aboutsummaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/btrees/btrees-4.11.3.ebuild12
-rw-r--r--dev-python/persistent/persistent-5.0.ebuild26
-rw-r--r--dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild11
-rw-r--r--dev-python/splinter/splinter-0.19.0.ebuild16
-rw-r--r--dev-python/zdaemon/zdaemon-4.4.ebuild10
-rw-r--r--dev-python/zodb/zodb-5.8.0.ebuild23
-rw-r--r--dev-python/zodbpickle/zodbpickle-2.6.ebuild7
-rw-r--r--dev-python/zope-annotation/zope-annotation-4.8.ebuild11
-rw-r--r--dev-python/zope-app-appsetup/zope-app-appsetup-4.2.0.ebuild10
-rw-r--r--dev-python/zope-app-http/zope-app-http-5.0.ebuild11
-rw-r--r--dev-python/zope-app-publication/zope-app-publication-4.5.ebuild11
-rw-r--r--dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild10
-rw-r--r--dev-python/zope-applicationcontrol/zope-applicationcontrol-4.3.ebuild11
-rw-r--r--dev-python/zope-authentication/zope-authentication-5.0.ebuild11
-rw-r--r--dev-python/zope-browsermenu/zope-browsermenu-4.4.ebuild11
-rw-r--r--dev-python/zope-browserpage/zope-browserpage-5.0.ebuild11
-rw-r--r--dev-python/zope-browserresource/zope-browserresource-4.4.ebuild11
-rw-r--r--dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild11
-rw-r--r--dev-python/zope-container/zope-container-5.0.ebuild10
-rw-r--r--dev-python/zope-contenttype/zope-contenttype-4.6.ebuild6
-rw-r--r--dev-python/zope-copy/zope-copy-4.3.ebuild9
-rw-r--r--dev-python/zope-datetime/zope-datetime-4.3.0.ebuild11
-rw-r--r--dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild5
-rw-r--r--dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild9
-rw-r--r--dev-python/zope-dottedname/zope-dottedname-5.0.ebuild9
-rw-r--r--dev-python/zope-dublincore/zope-dublincore-4.3.0.ebuild11
-rw-r--r--dev-python/zope-error/zope-error-4.6.ebuild11
-rw-r--r--dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild9
-rw-r--r--dev-python/zope-i18n/zope-i18n-4.9.0.ebuild9
-rw-r--r--dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild9
-rw-r--r--dev-python/zope-location/zope-location-4.3.ebuild9
-rw-r--r--dev-python/zope-login/zope-login-2.2.ebuild11
-rw-r--r--dev-python/zope-minmax/zope-minmax-2.3.ebuild11
-rw-r--r--dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild11
-rw-r--r--dev-python/zope-password/zope-password-4.4.ebuild11
-rw-r--r--dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild11
-rw-r--r--dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild11
-rw-r--r--dev-python/zope-proxy/zope-proxy-5.0.0.ebuild32
-rw-r--r--dev-python/zope-publisher/zope-publisher-6.1.0.ebuild6
-rw-r--r--dev-python/zope-security/zope-security-6.1.ebuild9
-rw-r--r--dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild11
-rw-r--r--dev-python/zope-session/zope-session-4.5.ebuild11
-rw-r--r--dev-python/zope-site/zope-site-4.6.1.ebuild11
-rw-r--r--dev-python/zope-size/zope-size-4.4.ebuild11
-rw-r--r--dev-python/zope-tal/zope-tal-5.0.1.ebuild11
-rw-r--r--dev-python/zope-tales/zope-tales-5.2.ebuild11
-rw-r--r--dev-python/zope-testbrowser/zope-testbrowser-5.6.1.ebuild10
-rw-r--r--dev-python/zope-traversing/zope-traversing-4.4.1.ebuild11
-rw-r--r--dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild15
49 files changed, 270 insertions, 286 deletions
diff --git a/dev-python/btrees/btrees-4.11.3.ebuild b/dev-python/btrees/btrees-4.11.3.ebuild
index b03f073..44e5727 100644
--- a/dev-python/btrees/btrees-4.11.3.ebuild
+++ b/dev-python/btrees/btrees-4.11.3.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/BTrees-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/persistent[${PYTHON_USEDEP}]
@@ -34,7 +32,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
python_compile_all() {
# Create Zope Namespace
@@ -45,7 +43,7 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-# src_test(){
-# cd "${S}/src/BTrees" || die
-# distutils-r1_src_test
-# }
+python_test() {
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/BTrees" || die
+}
diff --git a/dev-python/persistent/persistent-5.0.ebuild b/dev-python/persistent/persistent-5.0.ebuild
index f3f32d7..6cd2ea8 100644
--- a/dev-python/persistent/persistent-5.0.ebuild
+++ b/dev-python/persistent/persistent-5.0.ebuild
@@ -15,8 +15,6 @@ SRC_URI="https://github.com/zopefoundation/persistent/archive/${PV}.tar.gz -> ${
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/cffi[${PYTHON_USEDEP}]
@@ -30,17 +28,17 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_unpack() {
default
- # Fix broken test
- sed -i -e 's/from \.\./from persistent/' "${S}/src/persistent/tests/test_ring.py" || die
- # Disable tests that fail
- sed -z -i -e "s/def test__p_repr_exception.*_p_repr failed')>\")//g" \
- "${S}/src/persistent/tests/test_persistence.py" || die
- sed -z -i -e "s/def test__p_repr_in_instance_ignored.*repr(p)//g" \
- "${S}/src/persistent/tests/test_persistence.py" || die
+ # # Fix broken test
+ # sed -i -e 's/from \.\./from persistent/' "${S}/src/persistent/tests/test_ring.py" || die
+ # # Disable tests that fail
+ # sed -z -i -e "s/def test__p_repr_exception.*_p_repr failed')>\")//g" \
+ # "${S}/src/persistent/tests/test_persistence.py" || die
+ # sed -z -i -e "s/def test__p_repr_in_instance_ignored.*repr(p)//g" \
+ # "${S}/src/persistent/tests/test_persistence.py" || die
}
python_compile_all() {
@@ -52,7 +50,7 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-# src_test() {
-# cd "${S}/src/persistent" || die
-# distutils-r1_src_test
-# }
+python_test() {
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/${PN}" || die
+}
diff --git a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild b/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
index bfcfafa..368934d 100644
--- a/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
+++ b/dev-python/repoze-sphinx-autointerface/repoze-sphinx-autointerface-1.0.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/repoze.sphinx.autointerface-${PV}"
LICENSE="BSD-with-disclosure"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
@@ -27,7 +25,8 @@ DEPEND="${RDEPEND}"
distutils_enable_tests setup.py
-# python_test() {
-# zope-testrunner -pvcD --usecompiled \
-# --path="${BUILD_DIR}/install$(python_get_sitedir)/" || die
-# }
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+}
diff --git a/dev-python/splinter/splinter-0.19.0.ebuild b/dev-python/splinter/splinter-0.19.0.ebuild
index 000f34a..02d8338 100644
--- a/dev-python/splinter/splinter-0.19.0.ebuild
+++ b/dev-python/splinter/splinter-0.19.0.ebuild
@@ -17,14 +17,18 @@ SLOT="0"
KEYWORDS="~amd64"
RDEPEND="
+ dev-python/cssselect[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/zope-testbrowser[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}] )
test? (
- dev-python/cssselect[${PYTHON_USEDEP}]
- dev-python/django[${PYTHON_USEDEP}]
- dev-python/flask[${PYTHON_USEDEP}]
- dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/selenium[${PYTHON_USEDEP}]
- dev-python/zope-testbrowser[${PYTHON_USEDEP}]
+ dev-python/argparse
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
DEPEND="${RDEPEND}"
diff --git a/dev-python/zdaemon/zdaemon-4.4.ebuild b/dev-python/zdaemon/zdaemon-4.4.ebuild
index 48db6d0..1d2f6d9 100644
--- a/dev-python/zdaemon/zdaemon-4.4.ebuild
+++ b/dev-python/zdaemon/zdaemon-4.4.ebuild
@@ -15,18 +15,22 @@ SRC_URI="https://github.com/zopefoundation/zdaemon/archive/${PV}.tar.gz -> ${P}.
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zconfig[${PYTHON_USEDEP}]
test? (
dev-python/manuel[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/zc-customdoctests
dev-python/zope-testing[${PYTHON_USEDEP}]
dev-python/zope-testrunner[${PYTHON_USEDEP}]
)
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
+
+python_test() {
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/${PN}" || die
+}
diff --git a/dev-python/zodb/zodb-5.8.0.ebuild b/dev-python/zodb/zodb-5.8.0.ebuild
index b466595..1e96142 100644
--- a/dev-python/zodb/zodb-5.8.0.ebuild
+++ b/dev-python/zodb/zodb-5.8.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/ZODB-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Failures
-RESTRICT="test"
RDEPEND="
dev-python/btrees[${PYTHON_USEDEP}]
@@ -26,6 +24,7 @@ RDEPEND="
dev-python/transaction[${PYTHON_USEDEP}]
dev-python/zc-lockfile[${PYTHON_USEDEP}]
dev-python/zconfig[${PYTHON_USEDEP}]
+ dev-python/zodbpickle[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]
doc? (
dev-python/sphinxautozconfig[${PYTHON_USEDEP}]
@@ -40,23 +39,11 @@ RDEPEND="
)
"
DEPEND="${RDEPEND}"
-# dev-python/zodbpickle
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
-src_prepare() {
- # strip rdep specific to namespaces
- sed -i -e "/'setuptools'/d" setup.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
- find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
-
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/ZODB" || die
}
diff --git a/dev-python/zodbpickle/zodbpickle-2.6.ebuild b/dev-python/zodbpickle/zodbpickle-2.6.ebuild
index 4f4efa9..6074a6d 100644
--- a/dev-python/zodbpickle/zodbpickle-2.6.ebuild
+++ b/dev-python/zodbpickle/zodbpickle-2.6.ebuild
@@ -18,7 +18,7 @@ KEYWORDS="~amd64"
RDEPEND="
<dev-python/packaging-22.0
- test? ( $(python_gen_cond_dep 'dev-python/zope-testrunner[${PYTHON_USEDEP}]' python3_{9..11}) )
+ test? ( dev-python/zope-testrunner[${PYTHON_USEDEP}] )
"
DEPEND="${RDEPEND}"
@@ -43,3 +43,8 @@ python_install() {
rm -r "${BUILD_DIR}/install$(python_get_sitedir)/zodbpickle/tests" || die
distutils-r1_python_install
}
+
+python_test() {
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/${PN}" || die
+}
diff --git a/dev-python/zope-annotation/zope-annotation-4.8.ebuild b/dev-python/zope-annotation/zope-annotation-4.8.ebuild
index 92dc9ae..e934f29 100644
--- a/dev-python/zope-annotation/zope-annotation-4.8.ebuild
+++ b/dev-python/zope-annotation/zope-annotation-4.8.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/btrees[${PYTHON_USEDEP}]
@@ -36,7 +34,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -49,7 +47,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-app-appsetup/zope-app-appsetup-4.2.0.ebuild b/dev-python/zope-app-appsetup/zope-app-appsetup-4.2.0.ebuild
index 24e39bf..75f1116 100644
--- a/dev-python/zope-app-appsetup/zope-app-appsetup-4.2.0.ebuild
+++ b/dev-python/zope-app-appsetup/zope-app-appsetup-4.2.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/zope.app.appsetup-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zdaemon[${PYTHON_USEDEP}]
@@ -43,7 +41,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -55,3 +53,9 @@ python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope/app" || die
+}
diff --git a/dev-python/zope-app-http/zope-app-http-5.0.ebuild b/dev-python/zope-app-http/zope-app-http-5.0.ebuild
index c6a68b3..1751f45 100644
--- a/dev-python/zope-app-http/zope-app-http-5.0.ebuild
+++ b/dev-python/zope-app-http/zope-app-http-5.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/zope.app.http-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-container[${PYTHON_USEDEP}]
@@ -38,7 +36,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -51,7 +49,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope/app" || die
}
diff --git a/dev-python/zope-app-publication/zope-app-publication-4.5.ebuild b/dev-python/zope-app-publication/zope-app-publication-4.5.ebuild
index 426a84e..eccf3cb 100644
--- a/dev-python/zope-app-publication/zope-app-publication-4.5.ebuild
+++ b/dev-python/zope-app-publication/zope-app-publication-4.5.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/zope.app.publication-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/transaction[${PYTHON_USEDEP}]
@@ -49,7 +47,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -62,7 +60,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope/app" || die
}
diff --git a/dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild b/dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild
index 6e41018..3f589fd 100644
--- a/dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild
+++ b/dev-python/zope-app-wsgi/zope-app-wsgi-5.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/zope.app.wsgi-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/transaction[${PYTHON_USEDEP}]
@@ -45,7 +43,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -57,3 +55,9 @@ python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope/app" || die
+}
diff --git a/dev-python/zope-applicationcontrol/zope-applicationcontrol-4.3.ebuild b/dev-python/zope-applicationcontrol/zope-applicationcontrol-4.3.ebuild
index 4fbaf0b..f132a29 100644
--- a/dev-python/zope-applicationcontrol/zope-applicationcontrol-4.3.ebuild
+++ b/dev-python/zope-applicationcontrol/zope-applicationcontrol-4.3.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-component[${PYTHON_USEDEP}]
@@ -32,7 +30,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -45,7 +43,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-authentication/zope-authentication-5.0.ebuild b/dev-python/zope-authentication/zope-authentication-5.0.ebuild
index 61b0363..a8696ec 100644
--- a/dev-python/zope-authentication/zope-authentication-5.0.ebuild
+++ b/dev-python/zope-authentication/zope-authentication-5.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-browser[${PYTHON_USEDEP}]
@@ -35,7 +33,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -55,7 +53,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-browsermenu/zope-browsermenu-4.4.ebuild b/dev-python/zope-browsermenu/zope-browsermenu-4.4.ebuild
index fedae98..170f1f3 100644
--- a/dev-python/zope-browsermenu/zope-browsermenu-4.4.ebuild
+++ b/dev-python/zope-browsermenu/zope-browsermenu-4.4.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
@@ -38,7 +36,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -51,7 +49,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-browserpage/zope-browserpage-5.0.ebuild b/dev-python/zope-browserpage/zope-browserpage-5.0.ebuild
index e3ed90c..5606c91 100644
--- a/dev-python/zope-browserpage/zope-browserpage-5.0.ebuild
+++ b/dev-python/zope-browserpage/zope-browserpage-5.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-component[${PYTHON_USEDEP}]
@@ -37,7 +35,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -50,7 +48,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild b/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
index 15eaf1e..a3ee717 100644
--- a/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
+++ b/dev-python/zope-browserresource/zope-browserresource-4.4.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-component[${PYTHON_USEDEP}]
@@ -38,7 +36,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -58,7 +56,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild b/dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild
index 10bc4c5..dc9b466 100644
--- a/dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild
+++ b/dev-python/zope-componentvocabulary/zope-componentvocabulary-2.3.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-component[${PYTHON_USEDEP}]
@@ -33,7 +31,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -46,7 +44,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-container/zope-container-5.0.ebuild b/dev-python/zope-container/zope-container-5.0.ebuild
index ccd79f3..aaeb457 100644
--- a/dev-python/zope-container/zope-container-5.0.ebuild
+++ b/dev-python/zope-container/zope-container-5.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/btrees[${PYTHON_USEDEP}]
@@ -50,7 +48,7 @@ RDEPEND="
BDEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -69,3 +67,9 @@ python_compile_all() {
build_sphinx docs
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
+
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+}
diff --git a/dev-python/zope-contenttype/zope-contenttype-4.6.ebuild b/dev-python/zope-contenttype/zope-contenttype-4.6.ebuild
index c3a4b50..adb1dfe 100644
--- a/dev-python/zope-contenttype/zope-contenttype-4.6.ebuild
+++ b/dev-python/zope-contenttype/zope-contenttype-4.6.ebuild
@@ -26,7 +26,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -40,7 +40,7 @@ python_compile() {
}
python_test() {
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
- eunittest
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-copy/zope-copy-4.3.ebuild b/dev-python/zope-copy/zope-copy-4.3.ebuild
index e42cfee..261b1d4 100644
--- a/dev-python/zope-copy/zope-copy-4.3.ebuild
+++ b/dev-python/zope-copy/zope-copy-4.3.ebuild
@@ -30,7 +30,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -43,7 +43,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/copy" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-datetime/zope-datetime-4.3.0.ebuild b/dev-python/zope-datetime/zope-datetime-4.3.0.ebuild
index 6eefdbc..a3036c7 100644
--- a/dev-python/zope-datetime/zope-datetime-4.3.0.ebuild
+++ b/dev-python/zope-datetime/zope-datetime-4.3.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
@@ -27,7 +25,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -40,7 +38,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild b/dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild
index 564bd3a..a0ad3df 100644
--- a/dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild
+++ b/dev-python/zope-deferredimport/zope-deferredimport-4.4.ebuild
@@ -38,6 +38,7 @@ python_compile() {
}
python_test() {
- zope-testrunner -pvcD --usecompiled \
- --path="${BUILD_DIR}/install$(python_get_sitedir)/${PN/-/\/}" || die
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild b/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild
index 14523a9..adebaff 100644
--- a/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild
+++ b/dev-python/zope-deprecation/zope-deprecation-4.4.0.ebuild
@@ -23,7 +23,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -36,7 +36,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/deprecation" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild b/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild
index 8b6b75f..8d65ad5 100644
--- a/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild
+++ b/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild
@@ -18,7 +18,7 @@ SLOT="0"
KEYWORDS="~amd64"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -31,7 +31,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/dottedname" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-dublincore/zope-dublincore-4.3.0.ebuild b/dev-python/zope-dublincore/zope-dublincore-4.3.0.ebuild
index 4ec3427..6ead861 100644
--- a/dev-python/zope-dublincore/zope-dublincore-4.3.0.ebuild
+++ b/dev-python/zope-dublincore/zope-dublincore-4.3.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/persistent[${PYTHON_USEDEP}]
@@ -37,7 +35,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -50,7 +48,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-error/zope-error-4.6.ebuild b/dev-python/zope-error/zope-error-4.6.ebuild
index f26d8e2..7145c38 100644
--- a/dev-python/zope-error/zope-error-4.6.ebuild
+++ b/dev-python/zope-error/zope-error-4.6.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/persistent[${PYTHON_USEDEP}]
@@ -31,7 +29,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -44,7 +42,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild b/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
index 6dbb2ba..ebb0552 100644
--- a/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
+++ b/dev-python/zope-filerepresentation/zope-filerepresentation-6.0.ebuild
@@ -29,7 +29,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -49,7 +49,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/filerepresentation" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild b/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild
index e02e448..88aea57 100644
--- a/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild
+++ b/dev-python/zope-i18n/zope-i18n-4.9.0.ebuild
@@ -16,8 +16,7 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Failures
-RESTRICT="test"
+
RDEPEND="
dev-python/python-gettext[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
@@ -37,7 +36,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -58,7 +57,7 @@ python_compile_all() {
}
python_test() {
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
- eunittest
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild b/dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild
index dd3a9b1..1cfe27b 100644
--- a/dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild
+++ b/dev-python/zope-lifecycleevent/zope-lifecycleevent-4.4.ebuild
@@ -34,7 +34,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -47,7 +47,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/lifecycleevent" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-location/zope-location-4.3.ebuild b/dev-python/zope-location/zope-location-4.3.ebuild
index 7fe42da..dc2e5d9 100644
--- a/dev-python/zope-location/zope-location-4.3.ebuild
+++ b/dev-python/zope-location/zope-location-4.3.ebuild
@@ -32,7 +32,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -45,7 +45,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test(){
- cd "${S}/src/zope/location" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-login/zope-login-2.2.ebuild b/dev-python/zope-login/zope-login-2.2.ebuild
index 571ca2b..265a59a 100644
--- a/dev-python/zope-login/zope-login-2.2.ebuild
+++ b/dev-python/zope-login/zope-login-2.2.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-authentication[${PYTHON_USEDEP}]
@@ -32,7 +30,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -45,7 +43,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-minmax/zope-minmax-2.3.ebuild b/dev-python/zope-minmax/zope-minmax-2.3.ebuild
index a025fc1..7ec02b2 100644
--- a/dev-python/zope-minmax/zope-minmax-2.3.ebuild
+++ b/dev-python/zope-minmax/zope-minmax-2.3.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/persistent[${PYTHON_USEDEP}]
@@ -28,7 +26,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -48,7 +46,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild b/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild
index 4c0698c..06050fd 100644
--- a/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild
+++ b/dev-python/zope-pagetemplate/zope-pagetemplate-4.6.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
@@ -39,7 +37,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -59,7 +57,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-password/zope-password-4.4.ebuild b/dev-python/zope-password/zope-password-4.4.ebuild
index 1158375..e1ecb56 100644
--- a/dev-python/zope-password/zope-password-4.4.ebuild
+++ b/dev-python/zope-password/zope-password-4.4.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/bcrypt[${PYTHON_USEDEP}]
@@ -36,7 +34,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -49,7 +47,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild b/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
index ba7b335..c1f9952 100644
--- a/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
+++ b/dev-python/zope-principalregistry/zope-principalregistry-4.3.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-authentication[${PYTHON_USEDEP}]
@@ -35,7 +33,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -55,7 +53,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild b/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild
index dc985dd..60849b8 100644
--- a/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild
+++ b/dev-python/zope-processlifetime/zope-processlifetime-2.4.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
@@ -29,7 +27,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -49,7 +47,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild b/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild
index 18ee4ff..2c9218d 100644
--- a/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild
+++ b/dev-python/zope-proxy/zope-proxy-5.0.0.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# They fail
-RESTRICT="test"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
@@ -30,29 +28,21 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests pytest
+distutils_enable_tests setup.py
-# src_unpack() {
-# default
-# }
-
-# src_prepare() {
-# # strip rdep specific to namespaces
-# sed -i -e "/'setuptools'/d" setup.py || die
-# distutils-r1_src_prepare
-# }
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-# python_test() {
-# #esetup.py test
-# #distutils-r1_python_test
-# #distutils_write_namespace zope.proxy
-
-# cd "${BUILD_DIR}/install$(python_get_sitedir)/" || die
-# zope-testrunner -pvcD -j "$(nproc)" --usecompiled \
-# -s "${PN/-/\/}/tests" || die
-# }
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+}
diff --git a/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild b/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
index b738fff..db25df1 100644
--- a/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
+++ b/dev-python/zope-publisher/zope-publisher-6.1.0.ebuild
@@ -43,7 +43,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -64,7 +64,7 @@ python_compile_all() {
}
python_test() {
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
- eunittest
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-security/zope-security-6.1.ebuild b/dev-python/zope-security/zope-security-6.1.ebuild
index ca6131a..ed6dd8b 100644
--- a/dev-python/zope-security/zope-security-6.1.ebuild
+++ b/dev-python/zope-security/zope-security-6.1.ebuild
@@ -16,7 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-IUSE="doc"
RDEPEND="
dev-python/pytz[${PYTHON_USEDEP}]
@@ -40,8 +39,8 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-#distutils_enable_sphinx docs dev-python/repoze-sphinx-autointerface dev-python/zope-interface
-distutils_enable_tests unittest
+distutils_enable_sphinx docs
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -62,7 +61,7 @@ python_compile_all() {
}
python_test() {
- cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
distutils_write_namespace zope
- eunittest
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild b/dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild
index f890595..9e00391 100644
--- a/dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild
+++ b/dev-python/zope-securitypolicy/zope-securitypolicy-4.3.2.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-annotation[${PYTHON_USEDEP}]
@@ -37,7 +35,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -50,7 +48,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-session/zope-session-4.5.ebuild b/dev-python/zope-session/zope-session-4.5.ebuild
index 0cb85b4..21b6a43 100644
--- a/dev-python/zope-session/zope-session-4.5.ebuild
+++ b/dev-python/zope-session/zope-session-4.5.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zodb[${PYTHON_USEDEP}]
@@ -38,7 +36,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -58,7 +56,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-site/zope-site-4.6.1.ebuild b/dev-python/zope-site/zope-site-4.6.1.ebuild
index fd15355..99d1b22 100644
--- a/dev-python/zope-site/zope-site-4.6.1.ebuild
+++ b/dev-python/zope-site/zope-site-4.6.1.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-annotation[${PYTHON_USEDEP}]
@@ -42,7 +40,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -62,7 +60,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-size/zope-size-4.4.ebuild b/dev-python/zope-size/zope-size-4.4.ebuild
index 6144003..e08818e 100644
--- a/dev-python/zope-size/zope-size-4.4.ebuild
+++ b/dev-python/zope-size/zope-size-4.4.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-component[${PYTHON_USEDEP}]
@@ -28,7 +26,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -41,7 +39,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-tal/zope-tal-5.0.1.ebuild b/dev-python/zope-tal/zope-tal-5.0.1.ebuild
index 5d20345..8d0fcf8 100644
--- a/dev-python/zope-tal/zope-tal-5.0.1.ebuild
+++ b/dev-python/zope-tal/zope-tal-5.0.1.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
@@ -33,7 +31,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -53,7 +51,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-tales/zope-tales-5.2.ebuild b/dev-python/zope-tales/zope-tales-5.2.ebuild
index b273017..49c243d 100644
--- a/dev-python/zope-tales/zope-tales-5.2.ebuild
+++ b/dev-python/zope-tales/zope-tales-5.2.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
@@ -34,7 +32,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -54,7 +52,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-testbrowser/zope-testbrowser-5.6.1.ebuild b/dev-python/zope-testbrowser/zope-testbrowser-5.6.1.ebuild
index 99937b8..6c1acde 100644
--- a/dev-python/zope-testbrowser/zope-testbrowser-5.6.1.ebuild
+++ b/dev-python/zope-testbrowser/zope-testbrowser-5.6.1.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/zope-cachedescriptors[${PYTHON_USEDEP}]
@@ -43,7 +41,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -55,3 +53,9 @@ python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
+
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
+}
diff --git a/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild b/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
index 0b24e20..43d046b 100644
--- a/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
+++ b/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
@@ -16,8 +16,6 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/transaction[${PYTHON_USEDEP}]
@@ -42,7 +40,7 @@ RDEPEND="
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -62,7 +60,8 @@ python_compile_all() {
rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}
diff --git a/dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild b/dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild
index 4a54cbc..87dce1f 100644
--- a/dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild
+++ b/dev-python/zope-untrustedpython/zope-untrustedpython-5.0.ebuild
@@ -16,17 +16,19 @@ S="${WORKDIR}/${PN/-/\.}-${PV}"
LICENSE="ZPL"
SLOT="0"
KEYWORDS="~amd64"
-# Zope Testrunner
-RESTRICT="test"
RDEPEND="
dev-python/restrictedpython[${PYTHON_USEDEP}]
dev-python/zope-security[${PYTHON_USEDEP}]
+ test? (
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
"
DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -39,7 +41,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/untrustedpython" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}